
/**
 * DataFileReader.java
 * This interface is used by the program to add support in order to add support 
 * for other instruments.
 *
 * Created: Dec 27 2003
 *
 * @author Nathan Stevens
 * @version 0.1 12/27/03
 */
import java.io.File;

public interface DataFileReader {
  
  // The method to read a files 
  String readDataFile(File file);
  
  // Method to get information about the instrument
  String getDataFileInfo();
  
  // Method to get return information about the data being read
  String[] getDataFileHeader();

} // --DataFileReader
